<template> 
  <v-app-bar flat>
    <v-app-bar-nav-icon v-on:click="drawer.toggle()"></v-app-bar-nav-icon>
    <v-app-bar-title class="desktop">
      Mon portefolio 
    </v-app-bar-title>
    <v-spacer></v-spacer>
    <v-btn v-on:click="openNewTab('https://gitlab.com/thomas.gougy')" icon>
      <v-icon size="x-large">mdi-gitlab</v-icon>
    </v-btn>
    <v-btn icon>
      <v-icon size="x-large" v-on:click="openNewTab('https://www.linkedin.com/in/thomas-gougy-110927175')">mdi-linkedin</v-icon>
    </v-btn>
    <v-btn icon>
      <v-icon size="x-large" v-on:click="openNewTab('mailto:thomas.gougy@gmail.com')">mdi-gmail</v-icon>
    </v-btn>
  </v-app-bar>
  <v-navigation-drawer
        v-model="drawer.menu"
      >
        <v-list>
          <v-list-item v-for="item in locateList">
          <v-btn  block :to="item.to">{{ item.name }}</v-btn>
          </v-list-item>    
        </v-list>
      </v-navigation-drawer>
</template>

<script lang="ts" setup>
import { useAppStore } from '@/store/app';
import { ref } from 'vue';

  function openNewTab(url: string ){
    window.open(url, '_blank')
  }
  const drawer = useAppStore()


  const locateList = [
    {name: "Accueil" , to:"/"},
    {name: "À propos de moi" , to:"/about"},
    {name: "Mes projets", to:'/project'},
  ]


  //
</script>
<style>

@media screen and (max-width: 1200px) {
  .desktop {
    display: none;
  } 
  
}
</style>
